Name:           upx
Version:        5.0.1
Release:        1%{?dist}
Summary:        Ultimate Packer for eXecutables

License:        GPL-2.0-or-later AND Public Domain
URL:            https://github.com/upx/upx
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}-src.tar.xz

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ucl-devel >= 1.01
BuildRequires:  zlib-devel
BuildRequires:  perl-podlators

%description
UPX is a free, portable, extendable, high-performance executable
packer for several different executable formats. It achieves an
excellent compression ratio and offers very fast decompression. Your
executables suffer no memory overhead or other drawbacks.


%prep
%setup -qn %{name}-%{version}-src


%build
%cmake
%cmake_build


%install
%cmake_install
mv %{buildroot}%{_datadir}/doc/upx/upx-doc.* .
rm -f %{buildroot}%{_datadir}/doc/upx/*

%files
%license COPYING LICENSE
%doc NEWS README README.SRC doc/THANKS.txt upx-doc.*
%{_bindir}/upx
%{_mandir}/man1/upx.1*


%changelog
* Mon May 26 2025 Jiaxin Yang <jiaxinyyang@tencent.com> - 5.0.1-1
- update to 5.0.1
- fix CVE-2025-2849, CVE-2024-3209

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.2-1
- initial build
